#
# AUTOMATICALLY GENERATED FILE
#    do not edit!
#
#
CXX = c++
AR = ar
RANLIB = ranlib
PERL = /usr/pkg/bin/perl
WINDRES = 

DEFAULT_CXXFLAGS = -I/usr/include -O2 -D_FORTIFY_SOURCE=2 -I/usr/include -Wall -Wundef \
	-I../../lib/win32  \
	-DBOX_VERSION="\"0.11.1\""
LDFLAGS = -L/usr/lib -Wl,-R/usr/lib -Wl,-R/usr/pkg/lib -rdynamic

ifdef RELEASE
CXXFLAGS = -DBOX_RELEASE_BUILD -O2 $(DEFAULT_CXXFLAGS)
OUTBASE = ../../release
OUTDIR = ../../release/lib/common
DEPENDMAKEFLAGS = RELEASE=1
VARIENT = RELEASE
else
CXXFLAGS = -g $(DEFAULT_CXXFLAGS)
OUTBASE = ../../debug
OUTDIR = ../../debug/lib/common
DEPENDMAKEFLAGS =
VARIENT = DEBUG
endif

HIDE     = $(if $(V),,@)
_CXX     = $(if $(V),$(CXX),     @ echo "  [CXX]     $<" && $(CXX))
_LINK    = $(if $(V),$(CXX),     @ echo "  [LINK]    $@" && $(CXX))
_WINDRES = $(if $(V),$(WINDRES), @ echo "  [WINDRES] $<" && $(WINDRES))
_AR      = $(if $(V),$(AR),      @ echo "  [AR]      $@" && $(AR))
_RANLIB  = $(if $(V),$(RANLIB),  @ echo "  [RANLIB]  $@" && $(RANLIB))
_PERL    = $(if $(V),$(PERL),    @ echo "  [PERL]    $@" && $(PERL) >/dev/null)

$(OUTDIR)/common.a: $(OUTDIR)/BoxException.o $(OUTDIR)/BoxTime.o $(OUTDIR)/BoxTimeToText.o $(OUTDIR)/BufferedStream.o $(OUTDIR)/BufferedWriteStream.o $(OUTDIR)/CollectInBufferStream.o $(OUTDIR)/Configuration.o $(OUTDIR)/ConversionString.o $(OUTDIR)/DebugAssertFailed.o $(OUTDIR)/DebugMemLeakFinder.o $(OUTDIR)/DebugPrintf.o $(OUTDIR)/EventWatchFilesystemObject.o $(OUTDIR)/ExcludeList.o $(OUTDIR)/FdGetLine.o $(OUTDIR)/FileModificationTime.o $(OUTDIR)/FileStream.o $(OUTDIR)/IOStream.o $(OUTDIR)/IOStreamGetLine.o $(OUTDIR)/InvisibleTempFileStream.o $(OUTDIR)/Logging.o $(OUTDIR)/MemBlockStream.o $(OUTDIR)/NamedLock.o $(OUTDIR)/PartialReadStream.o $(OUTDIR)/PathUtils.o $(OUTDIR)/ReadGatherStream.o $(OUTDIR)/ReadLoggingStream.o $(OUTDIR)/StreamableMemBlock.o $(OUTDIR)/Test.o $(OUTDIR)/Timer.o $(OUTDIR)/UnixUser.o $(OUTDIR)/Utils.o $(OUTDIR)/WaitForEvent.o $(OUTDIR)/ZeroStream.o $(OUTDIR)/autogen_CommonException.o $(OUTDIR)/autogen_ConversionException.o
	$(HIDE) (echo -n > $(OUTDIR)/common.a; rm $(OUTDIR)/common.a)
	$(_AR) cq $(OUTDIR)/common.a $(OUTDIR)/BoxException.o $(OUTDIR)/BoxTime.o $(OUTDIR)/BoxTimeToText.o $(OUTDIR)/BufferedStream.o $(OUTDIR)/BufferedWriteStream.o $(OUTDIR)/CollectInBufferStream.o $(OUTDIR)/Configuration.o $(OUTDIR)/ConversionString.o $(OUTDIR)/DebugAssertFailed.o $(OUTDIR)/DebugMemLeakFinder.o $(OUTDIR)/DebugPrintf.o $(OUTDIR)/EventWatchFilesystemObject.o $(OUTDIR)/ExcludeList.o $(OUTDIR)/FdGetLine.o $(OUTDIR)/FileModificationTime.o $(OUTDIR)/FileStream.o $(OUTDIR)/IOStream.o $(OUTDIR)/IOStreamGetLine.o $(OUTDIR)/InvisibleTempFileStream.o $(OUTDIR)/Logging.o $(OUTDIR)/MemBlockStream.o $(OUTDIR)/NamedLock.o $(OUTDIR)/PartialReadStream.o $(OUTDIR)/PathUtils.o $(OUTDIR)/ReadGatherStream.o $(OUTDIR)/ReadLoggingStream.o $(OUTDIR)/StreamableMemBlock.o $(OUTDIR)/Test.o $(OUTDIR)/Timer.o $(OUTDIR)/UnixUser.o $(OUTDIR)/Utils.o $(OUTDIR)/WaitForEvent.o $(OUTDIR)/ZeroStream.o $(OUTDIR)/autogen_CommonException.o $(OUTDIR)/autogen_ConversionException.o
	$(_RANLIB) $(OUTDIR)/common.a

$(OUTDIR)/PartialReadStream.o: PartialReadStream.cpp MemLeakFindOn.h BoxConfig.h Logging.h Utils.h MemLeakFindOff.h BoxConfig-MSVC.h PartialReadStream.h BoxPlatform.h MemLeakFinder.h IOStream.h Box.h ../../lib/win32/getopt.h CommonException.h FileStream.h ../../lib/win32/emu.h
	$(_CXX) $(CXXFLAGS)  -DBOX_MODULE="\"lib/common\"" -c PartialReadStream.cpp -o $(OUTDIR)/PartialReadStream.o

$(OUTDIR)/ReadGatherStream.o: ReadGatherStream.cpp ReadGatherStream.h MemLeakFindOn.h BoxConfig.h Logging.h Utils.h MemLeakFindOff.h BoxConfig-MSVC.h BoxPlatform.h MemLeakFinder.h IOStream.h Box.h ../../lib/win32/getopt.h CommonException.h FileStream.h ../../lib/win32/emu.h
	$(_CXX) $(CXXFLAGS)  -DBOX_MODULE="\"lib/common\"" -c ReadGatherStream.cpp -o $(OUTDIR)/ReadGatherStream.o

$(OUTDIR)/PathUtils.o: PathUtils.cpp ../../lib/win32/emu.h ../../lib/win32/getopt.h CommonException.h FileStream.h BoxConfig-MSVC.h MemLeakFindOff.h BoxPlatform.h MemLeakFinder.h IOStream.h Box.h MemLeakFindOn.h BoxConfig.h Logging.h Utils.h
	$(_CXX) $(CXXFLAGS)  -DBOX_MODULE="\"lib/common\"" -c PathUtils.cpp -o $(OUTDIR)/PathUtils.o

$(OUTDIR)/FileModificationTime.o: FileModificationTime.cpp FileStream.h FileModificationTime.h ../../lib/win32/getopt.h BoxTime.h CommonException.h ../../lib/win32/emu.h MemLeakFindOn.h BoxConfig.h Logging.h Utils.h MemLeakFinder.h IOStream.h Box.h BoxConfig-MSVC.h MemLeakFindOff.h BoxPlatform.h
	$(_CXX) $(CXXFLAGS)  -DBOX_MODULE="\"lib/common\"" -c FileModificationTime.cpp -o $(OUTDIR)/FileModificationTime.o

$(OUTDIR)/Utils.o: Utils.cpp ../../lib/win32/emu.h CommonException.h ../../lib/win32/getopt.h FileStream.h BoxPlatform.h MemLeakFindOff.h BoxConfig-MSVC.h Box.h MemLeakFinder.h IOStream.h Logging.h Utils.h MemLeakFindOn.h BoxConfig.h
	$(_CXX) $(CXXFLAGS)  -DBOX_MODULE="\"lib/common\"" -c Utils.cpp -o $(OUTDIR)/Utils.o

$(OUTDIR)/ExcludeList.o: ExcludeList.cpp BoxConfig.h MemLeakFindOn.h Utils.h Logging.h IOStream.h MemLeakFinder.h Archive.h Box.h ExcludeList.h BoxConfig-MSVC.h MemLeakFindOff.h BoxPlatform.h FileStream.h ../../lib/win32/getopt.h CommonException.h Configuration.h Guards.h ../../lib/win32/emu.h
	$(_CXX) $(CXXFLAGS)  -DBOX_MODULE="\"lib/common\"" -c ExcludeList.cpp -o $(OUTDIR)/ExcludeList.o

$(OUTDIR)/ConversionString.o: ConversionString.cpp Logging.h Utils.h MemLeakFindOn.h autogen_ConversionException.h BoxConfig.h BoxPlatform.h BoxConfig-MSVC.h MemLeakFindOff.h Box.h MemLeakFinder.h IOStream.h CommonException.h Conversion.h ../../lib/win32/getopt.h BoxException.h FileStream.h ../../lib/win32/emu.h
	$(_CXX) $(CXXFLAGS)  -DBOX_MODULE="\"lib/common\"" -c ConversionString.cpp -o $(OUTDIR)/ConversionString.o

$(OUTDIR)/BoxTimeToText.o: BoxTimeToText.cpp ../../lib/win32/emu.h FileStream.h ../../lib/win32/getopt.h BoxTime.h CommonException.h MemLeakFinder.h IOStream.h BoxTimeToText.h Box.h MemLeakFindOff.h BoxConfig-MSVC.h BoxPlatform.h MemLeakFindOn.h BoxConfig.h Logging.h Utils.h
	$(_CXX) $(CXXFLAGS)  -DBOX_MODULE="\"lib/common\"" -c BoxTimeToText.cpp -o $(OUTDIR)/BoxTimeToText.o

$(OUTDIR)/UnixUser.o: UnixUser.cpp BoxConfig-MSVC.h MemLeakFindOff.h BoxPlatform.h MemLeakFinder.h IOStream.h Box.h MemLeakFindOn.h BoxConfig.h Logging.h Utils.h ../../lib/win32/emu.h UnixUser.h ../../lib/win32/getopt.h CommonException.h FileStream.h
	$(_CXX) $(CXXFLAGS)  -DBOX_MODULE="\"lib/common\"" -c UnixUser.cpp -o $(OUTDIR)/UnixUser.o

$(OUTDIR)/Logging.o: Logging.cpp ../../lib/win32/getopt.h BoxTime.h CommonException.h FileStream.h ../../lib/win32/emu.h MemLeakFindOn.h BoxConfig.h Logging.h Utils.h BoxConfig-MSVC.h MemLeakFindOff.h BoxPlatform.h MemLeakFinder.h IOStream.h Box.h
	$(_CXX) $(CXXFLAGS)  -DBOX_MODULE="\"lib/common\"" -c Logging.cpp -o $(OUTDIR)/Logging.o

$(OUTDIR)/BoxTime.o: BoxTime.cpp BoxConfig.h MemLeakFindOn.h Utils.h Logging.h IOStream.h MemLeakFinder.h Box.h MemLeakFindOff.h BoxConfig-MSVC.h BoxPlatform.h FileStream.h BoxTime.h ../../lib/win32/getopt.h CommonException.h ../../lib/win32/emu.h
	$(_CXX) $(CXXFLAGS)  -DBOX_MODULE="\"lib/common\"" -c BoxTime.cpp -o $(OUTDIR)/BoxTime.o

$(OUTDIR)/DebugPrintf.o: DebugPrintf.cpp FileStream.h ../../lib/win32/getopt.h CommonException.h ../../lib/win32/emu.h MemLeakFindOn.h BoxConfig.h Logging.h Utils.h MemLeakFinder.h IOStream.h Box.h BoxConfig-MSVC.h MemLeakFindOff.h BoxPlatform.h
	$(_CXX) $(CXXFLAGS)  -DBOX_MODULE="\"lib/common\"" -c DebugPrintf.cpp -o $(OUTDIR)/DebugPrintf.o

$(OUTDIR)/NamedLock.o: NamedLock.cpp ../../lib/win32/emu.h FileStream.h CommonException.h ../../lib/win32/getopt.h Box.h IOStream.h MemLeakFinder.h BoxPlatform.h MemLeakFindOff.h BoxConfig-MSVC.h Utils.h Logging.h BoxConfig.h NamedLock.h MemLeakFindOn.h
	$(_CXX) $(CXXFLAGS)  -DBOX_MODULE="\"lib/common\"" -c NamedLock.cpp -o $(OUTDIR)/NamedLock.o

$(OUTDIR)/BoxException.o: BoxException.cpp Utils.h Logging.h BoxConfig.h MemLeakFindOn.h Box.h IOStream.h MemLeakFinder.h BoxPlatform.h MemLeakFindOff.h BoxConfig-MSVC.h BoxException.h FileStream.h CommonException.h ../../lib/win32/getopt.h ../../lib/win32/emu.h
	$(_CXX) $(CXXFLAGS)  -DBOX_MODULE="\"lib/common\"" -c BoxException.cpp -o $(OUTDIR)/BoxException.o

$(OUTDIR)/Timer.o: Timer.cpp CommonException.h ../../lib/win32/getopt.h BoxTime.h FileStream.h ../../lib/win32/emu.h Timer.h Logging.h Utils.h MemLeakFindOn.h BoxConfig.h BoxPlatform.h BoxConfig-MSVC.h MemLeakFindOff.h Box.h MemLeakFinder.h IOStream.h
	$(_CXX) $(CXXFLAGS)  -DBOX_MODULE="\"lib/common\"" -c Timer.cpp -o $(OUTDIR)/Timer.o

$(OUTDIR)/IOStreamGetLine.o: IOStreamGetLine.cpp ../../lib/win32/emu.h FileStream.h IOStreamGetLine.h ../../lib/win32/getopt.h CommonException.h IOStream.h MemLeakFinder.h Box.h MemLeakFindOff.h BoxConfig-MSVC.h BoxPlatform.h BoxConfig.h MemLeakFindOn.h Utils.h Logging.h
	$(_CXX) $(CXXFLAGS)  -DBOX_MODULE="\"lib/common\"" -c IOStreamGetLine.cpp -o $(OUTDIR)/IOStreamGetLine.o

$(OUTDIR)/DebugAssertFailed.o: DebugAssertFailed.cpp FileStream.h CommonException.h ../../lib/win32/getopt.h ../../lib/win32/emu.h Logging.h Utils.h MemLeakFindOn.h BoxConfig.h Box.h MemLeakFinder.h IOStream.h BoxPlatform.h MemLeakFindOff.h BoxConfig-MSVC.h
	$(_CXX) $(CXXFLAGS)  -DBOX_MODULE="\"lib/common\"" -c DebugAssertFailed.cpp -o $(OUTDIR)/DebugAssertFailed.o

$(OUTDIR)/WaitForEvent.o: WaitForEvent.cpp BoxConfig.h MemLeakFindOn.h Utils.h Logging.h IOStream.h MemLeakFinder.h WaitForEvent.h Box.h BoxConfig-MSVC.h MemLeakFindOff.h BoxPlatform.h FileStream.h ../../lib/win32/getopt.h CommonException.h ../../lib/win32/emu.h
	$(_CXX) $(CXXFLAGS)  -DBOX_MODULE="\"lib/common\"" -c WaitForEvent.cpp -o $(OUTDIR)/WaitForEvent.o

$(OUTDIR)/IOStream.o: IOStream.cpp FileStream.h CommonException.h ../../lib/win32/getopt.h Guards.h ../../lib/win32/emu.h Utils.h Logging.h BoxConfig.h MemLeakFindOn.h Box.h IOStream.h MemLeakFinder.h BoxPlatform.h MemLeakFindOff.h BoxConfig-MSVC.h
	$(_CXX) $(CXXFLAGS)  -DBOX_MODULE="\"lib/common\"" -c IOStream.cpp -o $(OUTDIR)/IOStream.o

$(OUTDIR)/MemBlockStream.o: MemBlockStream.cpp Logging.h Utils.h MemLeakFindOn.h BoxConfig.h Box.h MemLeakFinder.h IOStream.h BoxPlatform.h MemLeakFindOff.h BoxConfig-MSVC.h FileStream.h CommonException.h ../../lib/win32/getopt.h MemBlockStream.h CollectInBufferStream.h Guards.h StreamableMemBlock.h ../../lib/win32/emu.h
	$(_CXX) $(CXXFLAGS)  -DBOX_MODULE="\"lib/common\"" -c MemBlockStream.cpp -o $(OUTDIR)/MemBlockStream.o

$(OUTDIR)/ReadLoggingStream.o: ReadLoggingStream.cpp FileStream.h ../../lib/win32/getopt.h BoxTime.h ReadLoggingStream.h CommonException.h ../../lib/win32/emu.h MemLeakFindOn.h BoxConfig.h Logging.h Utils.h MemLeakFinder.h IOStream.h Box.h MemLeakFindOff.h BoxConfig-MSVC.h BoxPlatform.h
	$(_CXX) $(CXXFLAGS)  -DBOX_MODULE="\"lib/common\"" -c ReadLoggingStream.cpp -o $(OUTDIR)/ReadLoggingStream.o

$(OUTDIR)/FileStream.o: FileStream.cpp Utils.h Logging.h BoxConfig.h MemLeakFindOn.h BoxPlatform.h MemLeakFindOff.h BoxConfig-MSVC.h Box.h IOStream.h MemLeakFinder.h CommonException.h ../../lib/win32/getopt.h FileStream.h ../../lib/win32/emu.h
	$(_CXX) $(CXXFLAGS)  -DBOX_MODULE="\"lib/common\"" -c FileStream.cpp -o $(OUTDIR)/FileStream.o

$(OUTDIR)/StreamableMemBlock.o: StreamableMemBlock.cpp Logging.h Utils.h MemLeakFindOn.h BoxConfig.h BoxPlatform.h BoxConfig-MSVC.h MemLeakFindOff.h Box.h MemLeakFinder.h IOStream.h CommonException.h ../../lib/win32/getopt.h FileStream.h StreamableMemBlock.h ../../lib/win32/emu.h
	$(_CXX) $(CXXFLAGS)  -DBOX_MODULE="\"lib/common\"" -c StreamableMemBlock.cpp -o $(OUTDIR)/StreamableMemBlock.o

$(OUTDIR)/FdGetLine.o: FdGetLine.cpp MemLeakFindOff.h BoxConfig-MSVC.h BoxPlatform.h MemLeakFinder.h IOStream.h Box.h MemLeakFindOn.h BoxConfig.h FdGetLine.h Logging.h Utils.h ../../lib/win32/emu.h ../../lib/win32/getopt.h CommonException.h FileStream.h
	$(_CXX) $(CXXFLAGS)  -DBOX_MODULE="\"lib/common\"" -c FdGetLine.cpp -o $(OUTDIR)/FdGetLine.o

$(OUTDIR)/BufferedStream.o: BufferedStream.cpp ../../lib/win32/emu.h ../../lib/win32/getopt.h CommonException.h FileStream.h BufferedStream.h MemLeakFindOff.h BoxConfig-MSVC.h BoxPlatform.h IOStream.h MemLeakFinder.h Box.h BoxConfig.h MemLeakFindOn.h Utils.h Logging.h
	$(_CXX) $(CXXFLAGS)  -DBOX_MODULE="\"lib/common\"" -c BufferedStream.cpp -o $(OUTDIR)/BufferedStream.o

$(OUTDIR)/Configuration.o: Configuration.cpp Utils.h Logging.h FdGetLine.h BoxConfig.h MemLeakFindOn.h Box.h IOStream.h MemLeakFinder.h BoxPlatform.h MemLeakFindOff.h BoxConfig-MSVC.h FileStream.h CommonException.h Configuration.h ../../lib/win32/getopt.h Guards.h ../../lib/win32/emu.h
	$(_CXX) $(CXXFLAGS)  -DBOX_MODULE="\"lib/common\"" -c Configuration.cpp -o $(OUTDIR)/Configuration.o

$(OUTDIR)/EventWatchFilesystemObject.o: EventWatchFilesystemObject.cpp ../../lib/win32/emu.h EventWatchFilesystemObject.h BoxException.h FileStream.h CommonException.h ../../lib/win32/getopt.h Box.h MemLeakFinder.h IOStream.h BoxPlatform.h MemLeakFindOff.h BoxConfig-MSVC.h Logging.h Utils.h autogen_CommonException.h MemLeakFindOn.h BoxConfig.h
	$(_CXX) $(CXXFLAGS)  -DBOX_MODULE="\"lib/common\"" -c EventWatchFilesystemObject.cpp -o $(OUTDIR)/EventWatchFilesystemObject.o

$(OUTDIR)/Test.o: Test.cpp ../../lib/win32/emu.h CommonException.h Test.h ../../lib/win32/getopt.h FileStream.h BoxPlatform.h MemLeakFindOff.h BoxConfig-MSVC.h Box.h IOStream.h MemLeakFinder.h Utils.h Logging.h BoxConfig.h MemLeakFindOn.h
	$(_CXX) $(CXXFLAGS)  -DBOX_MODULE="\"lib/common\"" -c Test.cpp -o $(OUTDIR)/Test.o

$(OUTDIR)/InvisibleTempFileStream.o: InvisibleTempFileStream.cpp FileStream.h ../../lib/win32/getopt.h CommonException.h ../../lib/win32/emu.h BoxConfig.h MemLeakFindOn.h Utils.h Logging.h InvisibleTempFileStream.h IOStream.h MemLeakFinder.h Box.h BoxConfig-MSVC.h MemLeakFindOff.h BoxPlatform.h
	$(_CXX) $(CXXFLAGS)  -DBOX_MODULE="\"lib/common\"" -c InvisibleTempFileStream.cpp -o $(OUTDIR)/InvisibleTempFileStream.o

$(OUTDIR)/DebugMemLeakFinder.o: DebugMemLeakFinder.cpp CommonException.h ../../lib/win32/getopt.h FileStream.h ../../lib/win32/emu.h Logging.h Utils.h MemLeakFindOn.h BoxConfig.h BoxPlatform.h BoxConfig-MSVC.h MemLeakFindOff.h Box.h MemLeakFinder.h IOStream.h
	$(_CXX) $(CXXFLAGS)  -DBOX_MODULE="\"lib/common\"" -c DebugMemLeakFinder.cpp -o $(OUTDIR)/DebugMemLeakFinder.o

$(OUTDIR)/BufferedWriteStream.o: BufferedWriteStream.cpp BoxPlatform.h MemLeakFindOff.h BoxConfig-MSVC.h Box.h MemLeakFinder.h IOStream.h Logging.h Utils.h MemLeakFindOn.h BoxConfig.h ../../lib/win32/emu.h CommonException.h ../../lib/win32/getopt.h BufferedWriteStream.h FileStream.h
	$(_CXX) $(CXXFLAGS)  -DBOX_MODULE="\"lib/common\"" -c BufferedWriteStream.cpp -o $(OUTDIR)/BufferedWriteStream.o

$(OUTDIR)/CollectInBufferStream.o: CollectInBufferStream.cpp Logging.h Utils.h MemLeakFindOn.h BoxConfig.h Box.h MemLeakFinder.h IOStream.h BoxPlatform.h BoxConfig-MSVC.h MemLeakFindOff.h FileStream.h CommonException.h ../../lib/win32/getopt.h CollectInBufferStream.h Guards.h ../../lib/win32/emu.h
	$(_CXX) $(CXXFLAGS)  -DBOX_MODULE="\"lib/common\"" -c CollectInBufferStream.cpp -o $(OUTDIR)/CollectInBufferStream.o

$(OUTDIR)/ZeroStream.o: ZeroStream.cpp FileStream.h CommonException.h ../../lib/win32/getopt.h ../../lib/win32/emu.h Logging.h Utils.h MemLeakFindOn.h BoxConfig.h Box.h ZeroStream.h MemLeakFinder.h IOStream.h BoxPlatform.h MemLeakFindOff.h BoxConfig-MSVC.h
	$(_CXX) $(CXXFLAGS)  -DBOX_MODULE="\"lib/common\"" -c ZeroStream.cpp -o $(OUTDIR)/ZeroStream.o

$(OUTDIR)/autogen_CommonException.o: autogen_CommonException.cpp CommonException.h ../../lib/win32/getopt.h BoxException.h FileStream.h ../../lib/win32/emu.h Utils.h Logging.h BoxConfig.h autogen_CommonException.h MemLeakFindOn.h BoxPlatform.h BoxConfig-MSVC.h MemLeakFindOff.h Box.h IOStream.h MemLeakFinder.h
	$(_CXX) $(CXXFLAGS)  -DBOX_MODULE="\"lib/common\"" -c autogen_CommonException.cpp -o $(OUTDIR)/autogen_CommonException.o

$(OUTDIR)/autogen_ConversionException.o: autogen_ConversionException.cpp BoxConfig.h autogen_ConversionException.h MemLeakFindOn.h Utils.h Logging.h IOStream.h MemLeakFinder.h Box.h BoxConfig-MSVC.h MemLeakFindOff.h BoxPlatform.h FileStream.h BoxException.h ../../lib/win32/getopt.h CommonException.h ../../lib/win32/emu.h
	$(_CXX) $(CXXFLAGS)  -DBOX_MODULE="\"lib/common\"" -c autogen_ConversionException.cpp -o $(OUTDIR)/autogen_ConversionException.o


clean:
	-rm -rf $(OUTDIR)/*
ifndef SUBCLEAN
	$(HIDE) (cd ../../lib/win32; $(MAKE) $(DEPENDMAKEFLAGS) SUBCLEAN=1 clean)
endif


include Makefile.extra


buildsystem:
	(cd ../..; perl ./infrastructure/makebuildenv.pl )

